﻿Imports MultiSelectExample.Instrastructure

Public Class MultipleSongViewModel
    Inherits SongViewModel

    Friend Shared MultipleIndicator As String = "<mehrere Songs gewählt>"

    Public Sub New()
        MyBase.New(New Song(MultipleIndicator, MultipleIndicator, MultipleIndicator))
    End Sub

    Friend Event Saved(sender As SongViewModel)

    Private _saveCommand As RelayCommand
    Public Property SaveCommand() As RelayCommand
        Get
            If _saveCommand Is Nothing Then _saveCommand = New RelayCommand(AddressOf SaveCommand_Execute)
            Return _saveCommand
        End Get
        Set(ByVal value As RelayCommand)
            _saveCommand = value
            RaisePropertyChanged()
        End Set
    End Property

    Private Sub SaveCommand_Execute(obj As Object)
        RaiseEvent Saved(Me)
    End Sub
End Class
